gr::mapper::preamble_sync_cc_impl Class Reference

`#include <preamble_sync_cc_impl.h>`

Inheritance diagram for gr::mapper::preamble_sync_cc_impl:
[legend]

## Public Member Functions

| preamble_sync_cc_impl (int width, const std::vector< unsigned char > &preamble, modtype_t modtype, const std::vector< int > &symbol_map, float garble_thresh_acquire_sync, float garble_thresh_loose_sync)
| ~preamble_sync_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::preamble_sync_cc
typedef boost::shared_ptr< preamble_sync_cc > | sptr
Static Public Member Functions inherited from gr::mapper::preamble_sync_cc
static sptr | make (int width, const std::vector< unsigned char > &preamble, modtype_t modtype, const std::vector< int > &symbol_map, float garble_thresh_acquire_sync, float garble_thresh_loose_sync)

## Constructor & Destructor Documentation

## preamble_sync_cc_impl()

gr::mapper::preamble_sync_cc_impl::preamble_sync_cc_impl | ( | int | width,
|  | const std::vector< unsigned char > & | preamble,
|  | modtype_t | modtype,
|  | const std::vector< int > & | symbol_map,
|  | float | garble_thresh_acquire_sync,
|  | float | garble_thresh_loose_sync
| ) |  |

## ~preamble_sync_cc_impl()

gr::mapper::preamble_sync_cc_impl::~preamble_sync_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::mapper::preamble_sync_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## general_work()

int gr::mapper::preamble_sync_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- preamble_sync_cc_impl.h